.margin-top-40 {
  margin-top: 4rem;

  &.m10 {
    @include sm() {
      margin-top: 1rem;
    }
  }
}

.flex-contact {
  @include flex();

  .contact-step-item {
    margin-right: 4rem;

    img {
      margin-top: 0.5rem;
      height: 40px;
    }

    @include sm() {
      margin-right: 0;
    }
  }

  .contact-section {
    width: 100%;

    #frmContact {
      //display: none;
      margin-top: 3rem;
    }

    .step-title {
      @include flex(normal, space-between, center);

      h2 {
        font-size: 2.2rem;
      }

      .js-plus {
        margin-top: 0.5rem;
        cursor: pointer;
      }
    }
    .border-bottom {
      width: 100%;
      background: #000;
      height: 1px;
      margin-bottom: 1rem;
    }

    .no-padding {
      padding: 0;
    }

    .text-light {
      color: $grey-font;
      font-size: 1.4rem;
      transition: all 0.7s ease;
      display: none;
      line-height: 2rem;
    }
  }
}


.cf-style-1 {
  .field-row {
    margin-bottom: 25px;
    display: flex;

    .form-div {
      &:not(:first-child) {
        padding-left: 1.5rem;
      }

      &:not(:last-child) {
        padding-right: 1.5rem;
      }

      width: 50%;
      float: left;

      @include flex(column);

      @include sm() {
        width: 100%;
      }

      &-full {
        width: 100%;
      }
    }

    label {
      display: inline-block;
      margin-bottom: 5px;
      font-weight: 700;
    }

    .le-input {
      border: 0.1rem solid #bfbfbf;
      background-color: #fff;
      width: 100%;
      padding: 0.5rem;
    }

    .required {
      border: 1px solid red;
    }
  }

  .buttons-holder {
    button {
      padding: 15px 30px;
      font-size: 14px;
      text-transform: uppercase !important;
      font-weight: normal !important;
      display: inline-block;
      line-height: 16px;
      border: none;
      color: $white;
      background-color: $black-abs;
      -webkit-transition: all 0.3s ease;
      -moz-transition: all 0.3s ease;
      -o-transition: all 0.3s ease;
      transition: all 0.3s ease;

      margin-top: 1rem;
    }
  }
}

.inner-top-xs {
  padding-top: 20px;
}

.our-store {
  line-height: 28px;
  color: #747474;
}

.map-container {
  position: relative;
  margin-top: 25px;

  #frmContact {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    position: absolute;
    top: -25px;
    right: 10%;
    width: 400px;
    height: 550px;
    background: #efefef;
    border-radius: 5px;
    padding: 33px;
    -moz-box-shadow: 0px 1px 5px 0px #676767;
    -webkit-box-shadow: 0px 1px 5px 0px #676767;
    box-shadow: 0px 1px 5px 0px #676767;

    @include sm() {
      position: inherit;
      top: -80px;
      right: 0;
      width: 370px;
      margin: auto;
    }

    h3 {
      margin-bottom: 25px;
      font-size: 18px;
      font-family: "RALEWAY-BOLD";
    }

    input,
    textarea {
      border: none;
      border-bottom: 1px solid black;
      width: 100%;
      padding: 8px 0px;
      margin-bottom: 40px;
      font-size: 13px;
      font-family: "RALEWAY-REGULAR";
      background: transparent;
    }

    button {
      width: 100%;
      height: 45px;
      color: white;
      background-color: #e26d5c;
      border: none;
      border-radius: 0;
    }
  }

  .store-information {
    display: flex;
    margin-left: 5%;
    margin-top: 25px;
    margin-bottom: 25px;
    @include sm() {
      flex-direction: column;
      justify-content: center;
      padding: 25px;
      margin-top: 0;
    }

    &__content {
      margin-right: 30px;
      border-left: 2px solid black;
      padding-left: 15px;

      @include sm() {
        margin-bottom: 25px;
      }

      p {
        font-family: "RALEWAY-SEMIBOLD";
        margin-bottom: 15px;
      }

      ul li {
        margin-bottom: 5px;
        font-family: "RALEWAY-REGULAR";
      }
    }
  }
}

.image-link {
  box-shadow: 0px 1px 5px 0px #676767;
  border-radius: 20px;
  margin-right: 20px;
  @include sm() {
    margin-right: 0px;
  }
}

.image-galery {
  display: flex;
  margin-top: 25px;
  padding: 25px;
  margin-left: 50px;
  @include sm() {
    margin-left: 0px;
  }
  &__item {
    height: 150px;
    width: 250px;
    margin-left: 0;
    border-radius: 20px;
    background-size: cover;
    background-position: center;
  }

  .slick-slide {
    margin-right: 20px;
  }
}

//CONTACTO MAYORISTA
.contact-container {
  background-image: url("/content/images/institucional/Backgroud-Contacto-desktop.jpg");
  background-position: center;
  background-size: cover;
  display: flex;
  justify-content: center;
  color: white;
  height: 68.5vh;
  padding-top: 50px;
  font-family: "RALEWAY-LIGHT";

  @include sm() {
    background-image: url("/content/images/institucional/Backgroud-Contacto-mobile.jpg");
    flex-direction: column-reverse;
    height: 90vh;
    padding: 0 30px;
  }

  h3 {
    font-family: "RALEWAY-REGULAR";
  }

  #frmContact {
    width: 450px;

    @include sm() {
      width: 100%;
    }

    input,
    textarea {
      width: 100%;
      background: transparent;
      border: none;
      border-bottom: 1px solid white;
      color: white;
      padding: 10px 0;
      margin-bottom: 19px;

      &::-webkit-input-placeholder {
        /* Edge */
        color: #ffffffbd;
      }

      &:-ms-input-placeholder {
        /* Internet Explorer 10-11 */
        color: #ffffffbd;
      }

      &::placeholder {
        color: #ffffffbd;
      }
    }

    button {
      background-color: #07d6cc;
      width: 100%;
      height: 45px;
      text-align: center;
      border: none;
    }
  }

  .contact-information {
    margin-right: 15%;

    @include sm() {
      margin: 25px 0;
    }

    h3 {
      margin-bottom: 25px;
    }

    ul {
      li {
        margin-bottom: 25px;
        font-size: 20px;

        i {
          margin-right: 25px;
        }
      }
    }

    .redes {
      filter: invert(1);
      display: flex;
      flex-direction: row;
    }
  }
}

.cotizacion{
  .contact-section{
    text-align: center;
  }
  .cf-style-1 .field-row{
    width: 100%;
  }
  .cf-style-1 .field-row .form-div{
    width: 100%;
    .le-input{
      background-color: #efefef;
      padding: 15px;
      font-family: "RALEWAY-REGULAR";
      border: none;
    }

    .le-input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
      color: black;
    }
    .le-input::-moz-placeholder { /* Firefox 19+ */
      color: black;
    }
    .le-input:-ms-input-placeholder { /* IE 10+ */
      color: black;
    }
    .le-input:-moz-placeholder { /* Firefox 18- */
      color: black;
    }
    
  }
  .cf-style-1 .buttons-holder button{
    background: #e06b5a;
    width: 80%;
  }
  .form-div-full{
    .le-input{
      background-color: #efefef;
      padding: 15px;
      font-family: "RALEWAY-REGULAR";
      border: none;
    }
    .le-input::-webkit-input-placeholder { /* Chrome/Opera/Safari */
      color: black;
    }
    .le-input::-moz-placeholder { /* Firefox 19+ */
      color: black;
    }
    .le-input:-ms-input-placeholder { /* IE 10+ */
      color: black;
    }
    .le-input:-moz-placeholder { /* Firefox 18- */
      color: black;
    }
  }

  .flex-contact{
    justify-content: space-between;
    .field-row{
      width: 49%;
      @include sm(){
        width: 100%;
      }
    }
    @include sm(){
      display: block;
      justify-content: start;
    }
  }

  h3{
    font-weight: bold;
    font-family: 'RALEWAY-BOLD';
  }
  h4{
    font-family: 'RALEWAY-REGULAR';
  }
}